Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03569 Crash/Freeze Critical (emulator) Always Dec 11, 2009, 18:24 Dec 15, 2009, 19:55
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Phil Bennett Resolution Fixed OS Windows 2000
Status [?] Resolved Driver bfcobra.cpp
Version 0.135u3 Fixed in Version 0.135u4 Build Normal
Summary 03569: escounts: Access Violation after OK
Description It happens about 7-8 seconds into the bootup (after the loading... sequence hits 0)
Steps To Reproduce mame escounts -str 8
Additional Information
Flags
Regression Version 0.135u3
Affected Sets / Systems escounts
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.05253
Tafoid
Administrator
Dec 11, 2009, 19:07
edited on: Dec 11, 2009, 19:08
The debug build crashes sooner, with these warnings and this:
Flare One unknown write: 0x14 with 0x00 (PC:0x15c0)
Flare One unknown write: 0x0a with 0x02 (PC:0x1633)
Flare One unknown write: 0x07 with 0x00 (PC:0x1642)

Program received signal SIGSEGV, Segmentation fault.
0x00b78fba in read_byte_generic (space=0x17c11348, byteaddress=32772)
    at src/emu/memory.c:558
558 result = (*handler->bankbaseptr)[byteoffset];
User avatar
No.05256
Fujix
Administrator
Dec 12, 2009, 09:05
It shows a blue screen with error message or crashes right after pressing OK for me or .
Normal build.
User avatar
No.05283
Firewave
Senior Tester
Dec 15, 2009, 17:56
edited on: Dec 15, 2009, 18:36
All other sets are also crashing for me.

escounts:
Flare One unknown write: 0x14 with 0x00 (PC:0x15c0)
Flare One unknown write: 0x0a with 0x02 (PC:0x1633)
Flare One unknown write: 0x07 with 0x00 (PC:0x1642)

-----------------------------------------------------
Exception at EIP=00B78FFA (memory_dump+0x5d11): ACCESS VIOLATION
While attempting to read memory at 15B02000
-----------------------------------------------------
EAX=15B02000 EBX=C9EAF060 ECX=00000004 EDX=15B01FFC
ESI=000006AD EDI=4ECAC6CD EBP=0022FCB8 ESP=0022FCA0
-----------------------------------------------------
Stack crawl:
exception-> 00B78FFA (memory_dump+0x5d11)
  0022FCBC: 00B7AA38 (memory_read_byte_8le+0x0018)
  0022FCCC: 00DFA4B0
  0022FCDC: 00DFF7B3
  0022FD0C: 00B6D70D (cpuexec_timeslice+0x0468)
  0022FE1C: 00B561EB (mame_execute+0x029b)
  0022FE7C: 00DBF793 (cli_execute+0x01e3)
  0022FEEC: 00B077CB (utf8_main+0x00ea)
  0022FF1C: 0156213C (main+0x00ec)
  0022FF6C: 0040124B (__image_base__+0x124b)
  0022FFB4: 00401298 (mainCRTStartup+0x0018)

inquiztr:
inqdisk.img NOT FOUND (NO GOOD DUMP KNOWN)
WARNING: the game might not run correctly.
Flare One unknown write: 0x14 with 0x00 (PC:0x1896)
Flare One unknown write: 0x0a with 0x02 (PC:0x1906)
Flare One unknown write: 0x07 with 0x00 (PC:0x1915)

-----------------------------------------------------
Exception at EIP=00B78FFA (memory_dump+0x5d11): ACCESS VIOLATION
While attempting to read memory at 15B02000
-----------------------------------------------------
EAX=15B02000 EBX=44925C60 ECX=00000004 EDX=15B01FFC
ESI=00000AAF EDI=4ECAC6CD EBP=0022FCB8 ESP=0022FCA0
-----------------------------------------------------
Stack crawl:
exception-> 00B78FFA (memory_dump+0x5d11)
  0022FCBC: 00B7AA38 (memory_read_byte_8le+0x0018)
  0022FCCC: 00DFB433
  0022FCDC: 00DFFDF3
  0022FD0C: 00B6D70D (cpuexec_timeslice+0x0468)
  0022FE1C: 00B561EB (mame_execute+0x029b)
  0022FE7C: 00DBF793 (cli_execute+0x01e3)
  0022FEEC: 00B077CB (utf8_main+0x00ea)
  0022FF1C: 0156213C (main+0x00ec)
  0022FF6C: 0040124B (__image_base__+0x124b)
  0022FFB4: 00401298 (mainCRTStartup+0x0018)